ZZIP_FILE_READ(3)

NAME
zzip_file_read - read data.

SYNOPSIS

#include <zzip/lib.h>

zzip_ssize_t zzip_file_read((ZZIP_FILE * fp, void *buf, zzip_size_t len));

DESCRIPTION

The zzip_file_read function reads data from zip-contained file.

This fuction works like read(2) and will fill the given buffer with bytes from the opened file. It will return the number of bytes read, so if the EOF is encountered you will be prompted with the number of bytes actually read.

This is the routines that needs the buf32k buffer, and it would have need for much more polishing but it does already work quite well.

Note: the 32K buffer is rather big. The original inflate-algorithm required just that but the latest zlib would work just fine with a smaller buffer.

AUTHOR

    • Guido Draheim <guidod@gmx.de> Tomi Ollila <Tomi.Ollila@iki.fi>

COPYRIGHT

Copyright (c) Guido Draheim, use under copyleft (LGPL,MPL)